<?php 

add_action('admin_menu', 'click_and_call_pro_options');

function click_and_call_pro_options(){
	if( function_exists( 'add_theme_page' ) ):
		add_theme_page( 'Click and Call Pro Options', 'Click and Call Pro Options', 'manage_options', 'click-and-call-pro', 'click_and_call_pro_html');
	endif;
}

function click_and_call_pro_html(){
	global $phone_contacts;
		//must check that the user has the required capability 
    if ( !current_user_can('manage_options') ):
		wp_die( __('You do not have sufficient permissions to access this page.') );
    endif;

	// variables for the field and option names 
	$ccpro_hidden = 'ccpro_hidden';
	$ccpro_icon_size = get_option( 'ccpro_icon_size' );
	$ccpro_display_credit = get_option( 'ccpro_display_credit' );
	
	$values = array();
    // Read in existing option value from database
    foreach($phone_contacts as $slug => $name):
    	$values[ $slug ] = get_option( 'ccpro_' . $slug );
	endforeach;

    // See if the user has posted us some information
    // If they did, this hidden field will be set to 'Y'
    if( isset($_POST[ $ccpro_hidden ]) && $_POST[ $ccpro_hidden ] == 'Y' ):
    	// Get value from posted data and save data
	    foreach($phone_contacts as $slug => $name):
	    	$values[$slug] = $_POST[ 'ccpro_' . $slug ];
        	update_option( 'ccpro_' . $slug, $values[ $slug ] );
		endforeach;
		
		$ccpro_icon_size = $_POST[ 'ccpro_icon_size' ];
		update_option( 'ccpro_icon_size' , $ccpro_icon_size );
		
		if(isset($_POST[ 'ccpro_display_credit' ]) && $_POST[ 'ccpro_display_credit' ] == 1):
			$ccpro_display_credit = $_POST[ 'ccpro_display_credit' ];
			update_option( 'ccpro_display_credit', true );
		else:
			$ccpro_display_credit = false;
			update_option( 'ccpro_display_credit', false );
		endif;

        // Put a settings updated message on the screen
	?>
		<div class="updated"><p><strong><?php _e('Settings saved. Please browse to the Appearance->Widgets page to add the widget.', 'menu-test' ); ?></strong></p></div>
	
	<?php endif; ?>
    
	<div class="wrap">
		<div id="icon-themes" class="icon32"><br /></div>
		<h2><?php _e( 'Click and Call Pro Options', 'click-and-call-pro' );?></h2>
		
		<form name="form1" method="post" action="">
		<input type="hidden" name="<?php echo $ccpro_hidden; ?>" value="Y">
		
		<h3>Your Phone Number</h3>
		
		<p><?php _e( 'Please enter the phone number you wish for your users to call. Leave blank to not use a method.', 'click-and-call-pro' );?></p>

		<?php foreach($phone_contacts as $slug => $name):?>
			<p><?php _e($name, 'click-and-call-pro' ); ?> 
			<input type="text" name="ccpro_<?php echo $slug?>" value="<?php echo $values[$slug]; ?>" size="20">
			</p>
		<?php endforeach;?>
		
		<h3>Icon Options</h3>
		
		<p><?php _e('Icon Size', 'click-and-call-pro' ); ?> 
			<select name="ccpro_icon_size">
				<option value="32x32" <?php if($ccpro_icon_size == "32x32") echo 'selected="selected"'?>>32x32</option>
				<option value="48x48" <?php if($ccpro_icon_size == "48x48") echo 'selected="selected"'?>>48x48</option>
				<option value="64x64" <?php if($ccpro_icon_size == "64x64") echo 'selected="selected"'?>>64x64</option>	
                <option value="128x128" <?php if($ccpro_icon_size == "16x16") echo 'selected="selected"'?>>128x128</option>	
			</select>
		</p>
		
		<p><input type="checkbox" name="ccpro_display_credit" value="1" <?php if($ccpro_display_credit) echo 'checked="checked"'?> />
			<?php _e('Check the box if you would like to add a link to the plugin under the widget (it is very small); it would be greatly appreciated.', 'click-and-call-pro' ); ?> 
		</p>		
	
		<p class="submit">
		<input type="submit" name="Submit" class="button-primary" value="<?php esc_attr_e('Save Changes') ?>" />
		</p>
	
		</form>
	</div>
	<?php
}
?>